{{ define "title" }}
  {{ if eq .Data.Singular "tag" }}Tag → {{ .Data.Term }}
  {{ else if eq .Data.Singular "category" }}Category → {{ .Data.Term }}
  {{ else }}Posts{{ end }}
  {{ if isset .Site.Params "seotitle" }} | {{ .Site.Params.seotitle }}{{ else }} | {{ .Site.Title }}{{ end }}
{{ end }}

{{ define "main" }}
  <section class="main project-list-header">
    <header class="list-header offscreen">
      <h2 class="list-label">Projects</h2>
    </header>
    <div class="project-list">
      <h2>Projects</h2>
        <p>Below is a list of projects and a brief summary.</p>
        {{ $paginator := .Paginate (where .Pages "Type" "project-summary") (index .Site.Params "paginate" | default 10) }}
        {{ if ne $paginator.TotalPages 0 }}
          {{ range $paginator.Pages.ByDate }}
            <a class="link-to-project btn paper paper-raise" href="{{ .Permalink }}">{{ .Title }} - {{ .Params.summary }}</a><br />
          {{ end }}
        {{ else }}
          <p>I'm afraid there is nothing here. =()</p>
        {{ end }}
    </div>
    {{ if gt $paginator.TotalPages 1 }}
      <footer class="list-footer">
        <nav class="pagination">
          <h3 class="offscreen">Pagination</h3>
          {{ if $paginator.HasPrev }}
            <a class="pagination-previous" href="{{ $paginator.Prev.URL }}">← Newer Posts</a>
          {{ end }}
          {{ if $paginator.HasNext }}
            <a class="pagination-next" href="{{ $paginator.Next.URL }}">Older Posts →</a>
          {{ end }}
        </nav>
      </footer>
    {{ end }}
  </section>
  {{ partial "footer.html" . }}
{{ end }}
